RecentAlertsTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.RecentAlertsTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class RecentAlertsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.RecentAlertsTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class RecentAlertsTag

extends javax.servlet.jsp.tagext.TagSupport

A JSP tag that will get the recent alerts for a user and put them in the request context.

Attributes:

name | required | default
--- | --- | ---
var | true | N/A
sizeVar | true | N/A
maxAlerts | false | 2

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RecentAlertsTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Process the tag, generating and formatting the list.
`void` | `release()`
`void` | `setMaxAlerts(java.lang.String maxAlerts)` Set the max number of alerts to get.
`void` | `setSizeVar(java.lang.String sizeVar)` Set the name of the request attribute that should hold the size of the list of alerts.
`void` | `setVar(java.lang.String var)` Set the name of the request attribute that should hold the list of alerts.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecentAlertsTag

    public RecentAlertsTag()

Method Detail

### setVar

    public void setVar(java.lang.String var)

  Set the name of the request attribute that should hold the list of alerts.

  Parameters:
    `var` - the name of the request attribute

### setSizeVar

    public void setSizeVar(java.lang.String sizeVar)

  Set the name of the request attribute that should hold the size of the list of alerts.

  Parameters:
    `sizeVar` - the name of the request attribute

### setMaxAlerts

    public void setMaxAlerts(java.lang.String maxAlerts)

  Set the max number of alerts to get.

  Parameters:
    `maxAlerts` - the max number of alerts

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Process the tag, generating and formatting the list.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if the scripting variable can not be found or if there is an error processing the tag

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.